# tildetown-handbook

This handbook aims to provide people with referenceable, educational
material related to interactions with
[tilde.town](https://tilde.town).

This handbook is for people with less of a technical background who
want to learn more about the interactions you can have while using
tilde.town.

# Table of contents

<!-- markdown-toc start - Don't edit this section. Run M-x markdown-toc-refresh-toc -->

- [Requirements](#requirements)

<!-- markdown-toc end -->

# Requirements

* Basic understanding of files and directories
* A UNIX-like environment, such as:
  * [Ubuntu](https://ubuntu.com/)
  * [Linux Mint](https://linuxmint.com/)
  * [Manjaro](https://manjaro.org/)
  * [Windows Subsystem for Linux](https://docs.microsoft.com/en-us/windows/wsl/install-win10)
  * [macOS](https://www.apple.com/macos/)
  * [Homebrew](https://brew.sh/)
  * [scoop.sh](https://scoop.sh/)
  * [Chocolatey](https://chocolatey.org/)
  * [cmdr](https://cmder.net/)
  * [Cygwin](https://www.cygwin.com/)
  * [PuTTY](https://www.chiark.greenend.org.uk/~sgtatham/putty/)
  * [and many more](https://distrowatch.com/)

# Conventions used in this handbook

* **Notes** signify additional information.
* **Tips** signify alternative methods to procedures.
* **Examples** provide a visual reference of how a procedure would be carried out in the real world.
* **Monospaced font** signifies directory names, file names, file contents, and commands.

# Getting started

One of tilde.town's goals is to transform the command line from a
scary-looking technical tool into a tool for creating beautiful
things.

Because of this, you will need to use your UNIX-like environment's
command line interface. For me, it's a little icon on my desktop that
looks like a blank, black screen.

You'll be using this little, mysterious interface throughout this
handbook. I'll be calling the command line a "terminal" from now on.

As a test for good measure, let's try running our first command. Try
typing the following line into your terminal:

```
ls
```

That should "return" a several items. For me, it returned:

```
Desktop Downloads Documents Images Videos Music
```

If `ls` returned what seems to be the files or directories on your computer, then you have everything you need!

**Note**: "return" is technical jargon used to describe how something
on a computer sends data somewhere. In this case, text is the data
being sent to our screen.
